#ifndef _ISASCI_C
#define _ISASCI_C
//----------------------------------------------------------------------
// isasci.c v1.00
// (c) copyright Enrico Sorichetti, 2004-2007
// Released under the "Q Public license"
//----------------------------------------------------------------------
//

#define  CKSIZE 160
#define  ISASCI 0
#define  ISEBCD 1

const char *prog = "isasci" ;

#include <stdlib.h>

#include <string.h>

#include <stdio.h>

int main(int argc, char **argv)
{
	char ut0name[CKSIZE];
    FILE *ut0;
  	unsigned char ut0buff[CKSIZE];

    int i;
	int ut0leng ;

	if ( argc != 2 ) {
        fprintf(stderr,
                "%-8s - Need exacltly one argument.\n", prog);
        return  ( -1 );
    }

	strcpy(ut0name,argv[1]) ;

	if ((ut0 = fopen(ut0name, "rb")) == NULL) {
    	fprintf(stderr,
    		"%-8s - Cannot open input file \'%s\'.\n", prog, ut0name);
    	return  ( -1 ) ;
    }

    ut0leng = fread(ut0buff, 1, CKSIZE, ut0);
    fclose(ut0);

    for (i = 0; i < ut0leng ; i++) {

//		printf (" i=%3d  c=%c  n=%d .\n", i, ut0buff[i], ut0buff[i] )

		if ( ut0buff[i] > 127 )
			return  ( ISEBCD);

        if ( isprint(ut0buff[i]) )
            continue;

        if ( isspace(ut0buff[i]) )
            continue;

        return  ( ISEBCD);
    }
    return  ( ISASCI);
}

#endif
